<form class="form ajax-form" action="<?= $this->getLink('edit-profile') ?>?step=galleryStep&escort=<?= $this->escort->id ?>"
    method="post">

    <input type="hidden" name="then" />
    <input type="hidden" name="escort" value="<?= $this->escort_id ?>"/>
    <input type="hidden" name="session_hash" value="<?= $this->session_hash ?>"/>
    <input type="hidden" class="g_id" value=""/>
    <input type="hidden" 
            value="<?= $this->getLink('private-photos') ?>?a=upload<?= $this->user->isAgency() ? '&escort=' . $this->escort_id : '' ?>&gallery_id=<?= $gallery['fake_id'] ?>"
            class="upload-url"/>
    <input type="hidden" value="<?= $this->getLink('private-video') ?>?a=upload<?= $this->user->isAgency() ? '&escort=' . $this->escort_id : '' ?>" class="video-upload-url"/>

    <div class="errors-container mt-10" id="errors-container" style="display: none;">
        <div class="section-subtitle uppercase">
            <?= __('errors') ?>
        </div>
        <div class="box-section">
            <ol>
                <li class="visible-on-error">
                    <p id="validation-about_me_text"></p>
                </li>
            </ol>
        </div>
    </div>
    <div class="clear mb-20"></div>

    <section>
        <div class="section-subtitle uppercase"><?= __('gallery') ?></div>
        <div class="box-section" id="gallery-images-list">

            <? $picture_types = ['main_picture', 'second_picture', 'thirth_picture']; ?>

            <? for($i = 0; $i < 3; $i++): ?>
                <? if( isset($this->galleries[0]['photos'][$i]) ): ?>
                    <? $photo = new Model_Escort_PhotoItem($this->galleries[0]['photos'][$i]);  ?>

                    <div 
                        class="d-flex justify-content-between align-items-center mb-10"
                        cubix:initial="<?= $photo->args ? htmlentities(json_encode(unserialize($photo->args))) : '' ?>"
                        cubix:photo-id="<?= $photo->getId() ?>"
                    >
                        <p class="text-grey"><?= __($picture_types[$i]) ?></p>
                        <div class="gallery-image existance">
                            <div class="image" style="background-image: url(<?= $photo->getUrl('thumb_cropper_ed', true) ?>);"></div>
                            <div class="remove-image"></div>
                        </div>
                        <input id="mainPicture" type="file" class="gallery-image" name="mainPicture" style="display: none;">
                        <input type="checkbox" name="photo_id" value="<?= $photo->id ?>" />
                    </div>

                <? else: ?>

                    <div class="d-flex justify-content-between align-items-center mb-10 drag-by-this">
                        <p class="text-grey"><?= __($picture_types[$i]) ?></p>
                        <div class="gallery-image"></div>
                        <input id="secondPicture" type="file" class="gallery-image" name="secondPicture" style="display: none;">
                    </div>

                <? endif; ?>
            <? endfor; ?>

            <div id="uploads">
                <div class="errors mb-4"></div>
                <div class="progress-bars"></div>
            </div>

        </div>



        <div class="clear mb-20"></div>
        <div class="box-section">
            <div>
                <p class="text-grey"><?= __('additional_pictures') ?></p>
                <div class="clear mb-10"></div>
                <div class="gallery-image d-inline-block"></div>
                <input id="newPicture" multiple type="file" name="newPicture" class="gallery-image" style="display: none;">
            </div>

            <div id="additional-images-container" class="mt-4">
                <div class="errors mb-4"></div>

                <div class="image-blocks d-flex flex-wrap">

                <? for($i = 4; $i < count($this->galleries[0]['photos']); $i++): ?>
                    <? if( isset($this->galleries[0]['photos'][$i]) ): ?>
                        <? $photo = new Model_Escort_PhotoItem($this->galleries[0]['photos'][$i]);  ?>
                        <div 
                            class="d-flex mr-2 photo-block justify-content-between align-items-center mb-10"
                            cubix:initial="<?= $photo->args ? htmlentities(json_encode(unserialize($photo->args))) : '' ?>"
                            cubix:photo-id="<?= $photo->getId() ?>"
                        >
                            <p class="text-grey"><?= _($picture_types[$i]) ?></p>
                            <div class="gallery-image existance">
                                <div class="image" style="background-image: url(<?= $photo->getUrl('thumb_cropper_ed', true) ?>);"></div>
                                <div class="remove-image completely"></div>
                            </div>
                            <input id="mainPicture" type="file" class="gallery-image" name="mainPicture" style="display: none;">
                            <input type="checkbox" name="photo_id" value="<?= $photo->id ?>" />
                        </div>

                    <? endif; ?>
                <? endfor; ?>
                    
                </div>
            </div>
        </div>
       
    </section>

</form>

<script src="/lib/sortable.js"></script>
<script src="<?= _st('interact.js') ?>"></script>

<script src="<?= _st('private/gallery.js') ?>"></script>
